eth_getTransactionByHash

Returns information about a transaction given the transaction's hash.

Parameters

  • TAG - Integer block number or one of "earliest", "latest" or "pending"
  • Boolean - If true it returns the full transaction objects, if false only the hashes of the transactions

Returns

  • Object - An object of type Block defined as:
    • number: QUANTITY - The block number or null when pending
    • hash: DATA, 32 Bytes - Hash of the block or null when pending
    • parentHash: DATA, 32 Bytes - Hash of the parent block
    • nonce: DATA, 8 bytes - Hash of the proof of work or null when pending
    • sha3Uncles: DATA, 32 Bytes - SHA3 of the uncles data in the block
    • logsBloom: DATA, 256 Bytes - The bloom filter for the block's logs or null when pending
    • transactionsRoot: DATA, 32 Bytes - The root of the transaction trie of the block
    • stateRoot: DATA, 32 Bytes - The root of the final state trie of the block
    • receiptsRoot: DATA, 32 Bytes - The root of the receipts trie of the block
    • miner: DATA, 20 Bytes - The address of the beneficiary to whom the mining rewards were given
    • difficulty: QUANTITY - Integer of the difficulty for this block
    • totalDifficulty: QUANTITY - Integer of the total difficulty of the chain until this block
    • extraData: DATA - The extra data field of this block
    • size: QUANTITY - Integer the size of this block in bytes
    • gasLimit: QUANTITY - The maximum gas allowed in this block
    • gasUsed: QUANTITY - The total used gas by all transactions in this block
    • timestamp: QUANTITY - The unix timestamp for when the block was collated
    • transactions: ARRAY - Array of transaction objects, or 32 Bytes transaction hashes
      depending on the last given parameter
    • uncles: ARRAY - Array of uncle hashes
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Defaults to demo
Body Params
integer
required
Defaults to 1
string
required
Defaults to 2.0
string
required
Defaults to eth_getTransactionByHash
params
array
required
Defaults to 0x0b8f9635aad56d18381d2fd7ad0578cd54fb316b0b017948a3048915cfd29034
Params*
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json